Loading...
Searching...
No Matches
error_utils.h File Reference
`#include "gridfire/exceptions/error_gridfire.h"`
Include dependency graph for error_utils.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | gridfire::exceptions::UtilityError
| Base class for utility-related errors in GridFire. More...
class | gridfire::exceptions::HashingError
| Exception class for hashing-related errors in GridFire. More...

## Namespaces

namespace | gridfire
namespace | gridfire::exceptions
| Namespace for GridFire exception classes. All custom exceptions defined in GridFire inherit from std::exception and are organized within this namespace for clarity and modularity.